Skip to main content
GET
/
v1
/
feedback
List feedback by thread
curl --request GET \
  --url https://api.illuminalab.com/v1/feedback/ \
  --header 'authorization: <authorization>'
{
  "feedbacks": [
    {
      "id": "<string>",
      "thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "message_id": "<string>",
      "sentiment": 2,
      "comment": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "thread_feedback": {
    "id": "<string>",
    "thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "message_id": "<string>",
    "sentiment": 2,
    "comment": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Headers

authorization
string
required
Pattern: ^Bearer [\s\S]{0,}$

Query Parameters

thread_id
string<uuid>
required

UUID of the thread

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Response for status 200

feedbacks
object[]
required

List of feedback entries for messages in the thread

thread_feedback
object
required

Feedback entry for the thread itself (if exists)